package com.company.frcalendar.widget.client.calendar;

import com.vaadin.v7.client.ui.VCalendar;
import io.jmix.ui.widget.client.calendar.schedule.JmixSimpleDayCell;

import java.util.Date;

public class MyJmixSimpleDayCell extends JmixSimpleDayCell {

    private boolean monthNameVisible;

    public MyJmixSimpleDayCell(VCalendar calendar, int row, int cell) {
        super(calendar, row, cell);
    }

    @Override
    public void setDate(Date date) {
        int dateOfMonth = date.getDate();
        if (monthNameVisible) {
            caption.setText(dateOfMonth + "My date "
                    + calendar.getMonthNames()[date.getMonth()]);
        } else {
            caption.setText("My date " + dateOfMonth);
        }
        this.date = date;
    }

    @Override
    public void setMonthNameVisible(boolean b) {
        super.setMonthNameVisible(b);

        monthNameVisible = b;

        caption.setText(
                date.getDate() + " " + calendar.getMonthNames()[date.getMonth()]);
    }
}
